/hardware-toolboxes-patch-one¶
Summary¶
Source repository:
jef-systems/jef-hardware-backendSource SHA:
da55214e1c0cdc1f340e0eaca147285c336498ddSource run id:
25890117162Lambda function:
jef-hardware-toolboxes-patch-oneHTTP method:
PATCHAPI path:
/hardware-toolboxes-patch-oneEndpoint URL:
https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-patch-onePayload mode:
json-body
Description¶
Function: jef-hardware-toolboxes-patch-oneModule: jef-hardwareAction: patch-oneMethod: PATCHInvocation Mode: ASYNCResource Path: /hardware-toolboxes-patch-oneTable: jef-hardware-toolboxesPrimary Key: toolbox_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
toolbox\_id: ccb00721-6479-4c14-be47-c021b95aa31astore\_id: f80b79c4-749b-4b6f-a851-d53715181f63entity\_number: 1toolbox\_number: 1toolbox\_code: 1toolbox\_name: 1equipment\_name: 1category: 1daily\_rate: 1status: 1created\_at: 2026-05-14T22:43:20Zupdated\_at: 2026-05-14T22:43:20Zis\_active: Trueis\_deleted: Truedeleted\_at: 2026-05-14T22:43:20Zidempotency\_key: 1schema\_version: 1version: 1children.toolbox\_items\[0\].toolbox\_item\_id: e9b62191-d74a-4826-8c1b-88498d8e5dd4children.toolbox\_items\[0\].toolbox\_id: ccb00721-6479-4c14-be47-c021b95aa31achildren.toolbox\_items\[0\].store\_id: f80b79c4-749b-4b6f-a851-d53715181f63children.toolbox\_items\[0\].entity\_number: 1children.toolbox\_items\[0\].toolbox\_number: 1children.toolbox\_items\[0\].line\_number: 1children.toolbox\_items\[0\].item\_name: 1children.toolbox\_items\[0\].item\_code: 1children.toolbox\_items\[0\].item\_category: 1children.toolbox\_items\[0\].quantity: 1children.toolbox\_items\[0\].unit: 1children.toolbox\_items\[0\].status: 1children.toolbox\_items\[0\].created\_at: 2026-05-14T22:43:20Zchildren.toolbox\_items\[0\].updated\_at: 2026-05-14T22:43:20Zchildren.toolbox\_items\[0\].is\_active: Truechildren.toolbox\_items\[0\].is\_deleted: Truechildren.toolbox\_items\[0\].deleted\_at: 2026-05-14T22:43:20Zchildren.toolbox\_items\[0\].idempotency\_key: 1children.toolbox\_items\[0\].schema\_version: 1children.toolbox\_items\[0\].version: 1
Payload Schema¶
{
"root.type": "M",
"root.required": "True",
"root.attributes.toolbox_id.type": "S",
"root.attributes.toolbox_id.required": "True",
"root.attributes.toolbox_id.format": "uuidv4",
"root.attributes.toolbox_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.store_id.type": "S",
"root.attributes.store_id.required": "False",
"root.attributes.store_id.format": "uuidv4",
"root.attributes.store_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.entity_number.type": "S",
"root.attributes.entity_number.required": "False",
"root.attributes.entity_number.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.toolbox_number.type": "S",
"root.attributes.toolbox_number.required": "False",
"root.attributes.toolbox_number.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.toolbox_code.type": "S",
"root.attributes.toolbox_code.required": "False",
"root.attributes.toolbox_code.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.toolbox_name.type": "S",
"root.attributes.toolbox_name.required": "False",
"root.attributes.toolbox_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
"root.attributes.equipment_name.type": "S",
"root.attributes.equipment_name.required": "False",
"root.attributes.equipment_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
"root.attributes.category.type": "S",
"root.attributes.category.required": "False",
"root.attributes.category.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.daily_rate.type": "N",
"root.attributes.daily_rate.required": "False",
"root.attributes.daily_rate.regex": "^-?\\d+(\\.\\d+)?$",
"root.attributes.status.type": "S",
"root.attributes.status.required": "False",
"root.attributes.status.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.created_at.type": "S",
"root.attributes.created_at.required": "False",
"root.attributes.created_at.format": "iso8601",
"root.attributes.created_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.updated_at.type": "S",
"root.attributes.updated_at.required": "False",
"root.attributes.updated_at.format": "iso8601",
"root.attributes.updated_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.is_active.type": "BOOL",
"root.attributes.is_active.required": "False",
"root.attributes.is_active.regex": "^(true|false)$",
"root.attributes.is_deleted.type": "BOOL",
"root.attributes.is_deleted.required": "False",
"root.attributes.is_deleted.regex": "^(true|false)$",
"root.attributes.deleted_at.type": "S",
"root.attributes.deleted_at.required": "False",
"root.attributes.deleted_at.format": "iso8601",
"root.attributes.deleted_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.idempotency_key.type": "S",
"root.attributes.idempotency_key.required": "False",
"root.attributes.idempotency_key.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.schema_version.type": "N",
"root.attributes.schema_version.required": "False",
"root.attributes.schema_version.regex": "^\\d+$",
"root.attributes.version.type": "N",
"root.attributes.version.required": "False",
"root.attributes.version.regex": "^\\d+$",
"root.attributes.children.type": "M",
"root.attributes.children.required": "False",
"root.attributes.children.attributes.toolbox_items.type": "L",
"root.attributes.children.attributes.toolbox_items.required": "False",
"root.attributes.children.attributes.toolbox_items.items.type": "M",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_item_id.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_item_id.required": "True",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_item_id.format": "uuidv4",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_item_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_id.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_id.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_id.format": "uuidv4",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.store_id.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.store_id.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.store_id.format": "uuidv4",
"root.attributes.children.attributes.toolbox_items.items.attributes.store_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.entity_number.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.entity_number.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.entity_number.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_number.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_number.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_number.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.line_number.type": "N",
"root.attributes.children.attributes.toolbox_items.items.attributes.line_number.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.line_number.regex": "^\\d+$",
"root.attributes.children.attributes.toolbox_items.items.attributes.item_name.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.item_name.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.item_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.item_code.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.item_code.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.item_code.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.item_category.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.item_category.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.item_category.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.quantity.type": "N",
"root.attributes.children.attributes.toolbox_items.items.attributes.quantity.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.quantity.regex": "^-?\\d+(\\.\\d+)?$",
"root.attributes.children.attributes.toolbox_items.items.attributes.unit.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.unit.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.unit.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.status.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.status.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.status.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.created_at.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.created_at.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.created_at.format": "iso8601",
"root.attributes.children.attributes.toolbox_items.items.attributes.created_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.children.attributes.toolbox_items.items.attributes.updated_at.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.updated_at.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.updated_at.format": "iso8601",
"root.attributes.children.attributes.toolbox_items.items.attributes.updated_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.children.attributes.toolbox_items.items.attributes.is_active.type": "BOOL",
"root.attributes.children.attributes.toolbox_items.items.attributes.is_active.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.is_active.regex": "^(true|false)$",
"root.attributes.children.attributes.toolbox_items.items.attributes.is_deleted.type": "BOOL",
"root.attributes.children.attributes.toolbox_items.items.attributes.is_deleted.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.is_deleted.regex": "^(true|false)$",
"root.attributes.children.attributes.toolbox_items.items.attributes.deleted_at.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.deleted_at.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.deleted_at.format": "iso8601",
"root.attributes.children.attributes.toolbox_items.items.attributes.deleted_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.children.attributes.toolbox_items.items.attributes.idempotency_key.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.idempotency_key.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.idempotency_key.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.schema_version.type": "N",
"root.attributes.children.attributes.toolbox_items.items.attributes.schema_version.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.schema_version.regex": "^\\d+$",
"root.attributes.children.attributes.toolbox_items.items.attributes.version.type": "N",
"root.attributes.children.attributes.toolbox_items.items.attributes.version.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.version.regex": "^\\d+$"
}
Response Schema¶
{
"root.type": "M",
"root.required": "True",
"root.attributes.is_accepted.type": "BOOL",
"root.attributes.is_accepted.required": "True",
"root.attributes.message.type": "S",
"root.attributes.message.required": "True",
"root.attributes.request_id.type": "S",
"root.attributes.request_id.required": "False"
}
Request Payload¶
{
"toolbox_id": "ccb00721-6479-4c14-be47-c021b95aa31a",
"store_id": "f80b79c4-749b-4b6f-a851-d53715181f63",
"entity_number": "1",
"toolbox_number": "1",
"toolbox_code": "1",
"toolbox_name": "1",
"equipment_name": "1",
"category": "1",
"daily_rate": "1",
"status": "1",
"created_at": "2026-05-14T22:43:20Z",
"updated_at": "2026-05-14T22:43:20Z",
"is_active": "True",
"is_deleted": "True",
"deleted_at": "2026-05-14T22:43:20Z",
"idempotency_key": "1",
"schema_version": "1",
"version": "1",
"children.toolbox_items[0].toolbox_item_id": "e9b62191-d74a-4826-8c1b-88498d8e5dd4",
"children.toolbox_items[0].toolbox_id": "ccb00721-6479-4c14-be47-c021b95aa31a",
"children.toolbox_items[0].store_id": "f80b79c4-749b-4b6f-a851-d53715181f63",
"children.toolbox_items[0].entity_number": "1",
"children.toolbox_items[0].toolbox_number": "1",
"children.toolbox_items[0].line_number": "1",
"children.toolbox_items[0].item_name": "1",
"children.toolbox_items[0].item_code": "1",
"children.toolbox_items[0].item_category": "1",
"children.toolbox_items[0].quantity": "1",
"children.toolbox_items[0].unit": "1",
"children.toolbox_items[0].status": "1",
"children.toolbox_items[0].created_at": "2026-05-14T22:43:20Z",
"children.toolbox_items[0].updated_at": "2026-05-14T22:43:20Z",
"children.toolbox_items[0].is_active": "True",
"children.toolbox_items[0].is_deleted": "True",
"children.toolbox_items[0].deleted_at": "2026-05-14T22:43:20Z",
"children.toolbox_items[0].idempotency_key": "1",
"children.toolbox_items[0].schema_version": "1",
"children.toolbox_items[0].version": "1"
}
Response¶
{
"root.type": "M",
"root.required": "True",
"root.attributes.is_accepted.type": "BOOL",
"root.attributes.is_accepted.required": "True",
"root.attributes.message.type": "S",
"root.attributes.message.required": "True",
"root.attributes.request_id.type": "S",
"root.attributes.request_id.required": "False"
}
CMD curl¶
curl -X PATCH "https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-patch-one" -H "Content-Type: application/json" --data-raw "{\"toolbox_id\": \"ccb00721-6479-4c14-be47-c021b95aa31a\", \"store_id\": \"f80b79c4-749b-4b6f-a851-d53715181f63\", \"entity_number\": \"1\", \"toolbox_number\": \"1\", \"toolbox_code\": \"1\", \"toolbox_name\": \"1\", \"equipment_name\": \"1\", \"category\": \"1\", \"daily_rate\": 1, \"status\": \"1\", \"created_at\": \"2026-05-14T22:43:20Z\", \"updated_at\": \"2026-05-14T22:43:20Z\", \"is_active\": true, \"is_deleted\": true, \"deleted_at\": \"2026-05-14T22:43:20Z\", \"idempotency_key\": \"1\", \"schema_version\": 1, \"version\": 1, \"children\": {\"toolbox_items\": [{\"toolbox_item_id\": \"e9b62191-d74a-4826-8c1b-88498d8e5dd4\", \"toolbox_id\": \"ccb00721-6479-4c14-be47-c021b95aa31a\", \"store_id\": \"f80b79c4-749b-4b6f-a851-d53715181f63\", \"entity_number\": \"1\", \"toolbox_number\": \"1\", \"line_number\": 1, \"item_name\": \"1\", \"item_code\": \"1\", \"item_category\": \"1\", \"quantity\": 1, \"unit\": \"1\", \"status\": \"1\", \"created_at\": \"2026-05-14T22:43:20Z\", \"updated_at\": \"2026-05-14T22:43:20Z\", \"is_active\": true, \"is_deleted\": true, \"deleted_at\": \"2026-05-14T22:43:20Z\", \"idempotency_key\": \"1\", \"schema_version\": 1, \"version\": 1}]}}"
PowerShell curl¶
curl.exe -X PATCH "https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-patch-one" -H "Content-Type: application/json" --data-raw '{"toolbox_id": "ccb00721-6479-4c14-be47-c021b95aa31a", "store_id": "f80b79c4-749b-4b6f-a851-d53715181f63", "entity_number": "1", "toolbox_number": "1", "toolbox_code": "1", "toolbox_name": "1", "equipment_name": "1", "category": "1", "daily_rate": 1, "status": "1", "created_at": "2026-05-14T22:43:20Z", "updated_at": "2026-05-14T22:43:20Z", "is_active": true, "is_deleted": true, "deleted_at": "2026-05-14T22:43:20Z", "idempotency_key": "1", "schema_version": 1, "version": 1, "children": {"toolbox_items": [{"toolbox_item_id": "e9b62191-d74a-4826-8c1b-88498d8e5dd4", "toolbox_id": "ccb00721-6479-4c14-be47-c021b95aa31a", "store_id": "f80b79c4-749b-4b6f-a851-d53715181f63", "entity_number": "1", "toolbox_number": "1", "line_number": 1, "item_name": "1", "item_code": "1", "item_category": "1", "quantity": 1, "unit": "1", "status": "1", "created_at": "2026-05-14T22:43:20Z", "updated_at": "2026-05-14T22:43:20Z", "is_active": true, "is_deleted": true, "deleted_at": "2026-05-14T22:43:20Z", "idempotency_key": "1", "schema_version": 1, "version": 1}]}}'